@font-face {
  font-family: 'WixMadeforDisplay';
  src: url('/fonts/WixMadeforDisplay.ttf') format('truetype');
  font-weight: 1 999;
  font-display: swap;
}

:root {
  color-scheme: light dark;

  --light-color-bg: #fff;
  --light-color-text: #212A37;
  --light-color-link: #2AB8F9;
  --light-color-count: #666;
  --light-color-gradient-start: #DEF4FF;
  --light-color-gradient-end: rgba(255, 255, 255, 0);
  --light-color-footer-text: #3C4655;
  --light-color-footer-border: #ddd;

  --dark-color-bg: #000;
  --dark-color-text: #fff;
  --dark-color-link: #2AB8F9;
  --dark-color-count: #999;
  --dark-color-gradient-start: #00193E;
  --dark-color-gradient-end: rgba(0, 25, 62, 0);
  --dark-color-footer-text: #AFBFCE;
  --dark-color-footer-border: #333;
}

* { margin: 0; padding: 0; box-sizing: border-box; }

body {
  font-family: 'WixMadeforDisplay', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, sans-serif;
  line-height: 1.6;
  margin: 0;
  padding: 0;
  background: light-dark(var(--light-color-bg), var(--dark-color-bg));
  color: light-dark(var(--light-color-text), var(--dark-color-text));
}

a { color: light-dark(var(--light-color-link), var(--dark-color-link)); cursor: pointer; }
a:hover { text-decoration: underline; }
h1 { margin: 0px; font-weight: 600;}
h2 { margin: 8px 0px; font-weight: 600;}
ul { list-style: disc; padding-left: 24px; }
li { font-weight: 500; margin: 6px 0; }
p {
  margin: 16px 0;
}

.page-wrapper {
  position: relative;
  min-height: calc(100vh - 120px);
}

.gradient-block {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: 400px;
  background: linear-gradient(180deg, light-dark(var(--light-color-gradient-start), var(--dark-color-gradient-start)) 1.93%, light-dark(var(--light-color-gradient-end), var(--dark-color-gradient-end)) 100%);
  pointer-events: none;
  z-index: 0;
}

.container {
  position: relative;
  z-index: 1;
  max-width: 800px;
  margin: 0 auto;
  padding: 20px;
}

.logo {
  padding: 20px 0;
}

.article-content-container { padding: 10px 0; }

.count { color: light-dark(var(--light-color-count), var(--dark-color-count)); margin-bottom: 20px; }

.drop-head {
  font-size: 20px; margin-bottom: 16px;
}

.footer {
  margin-top: 60px;
  margin-inline: 60px;
}

.footer-divider {
  border: none;
  border-top: 1px solid light-dark(var(--light-color-footer-border), var(--dark-color-footer-border));
  margin-bottom: 16px;
}

.footer-text {
  color: light-dark(var(--light-color-footer-text), var(--dark-color-footer-text));
  font-size: 12px;
  text-align: center;
}
